/*******************************************************************************
 * (c) Copyright 2007-2008 Actel Corporation.  All rights reserved.
 * 
 * CoreI2C driver interrupt control.
 * 
 * SVN $Revision: 569 $
 * SVN $Date: 2008-11-18 12:36:45 +0000 (Tue, 18 Nov 2008) $
 */
#include "../../hal/hal.h"
#include "../../hal/hal_assert.h"
#include "core_i2c.h"
#include "../../CMSIS/a2fxxxm3.h"

/*------------------------------------------------------------------------------
 * This function must be modified to enable interrupts generated from the
 * CoreI2C instance identified as parameter.
 */
void I2C_enable_irq( i2c_instance_t * this_i2c )
{
	//HAL_ASSERT(0)
	NVIC_EnableIRQ(this_i2c->irqn);

}

/*------------------------------------------------------------------------------
 * This function must be modified to disable interrupts generated from the
 * CoreI2C instance identified as parameter.
 */
void I2C_disable_irq( i2c_instance_t * this_i2c )
{
	NVIC_DisableIRQ(this_i2c->irqn);
}
